<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with Wdesk from Workiva-->
<!--Copyright 2022 Workiva-->
<!--r:11b31d5d-bf2f-46fc-ab43-c998d6a05ad1,g:b36187ce-d584-429c-88f2-d5ab322e28a5-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.f-e-t.com/role/CondensedConsolidatedStatementsofComprehensiveLossUnaudited" xlink:type="simple" xlink:href="fet-20220630.xsd#CondensedConsolidatedStatementsofComprehensiveLossUnaudited"/>
  <link:calculationLink xlink:role="http://www.f-e-t.com/role/CondensedConsolidatedStatementsofComprehensiveLossUnaudited" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingExpenses_19d821c8-8673-4634-847a-52f29defcd6f" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OperatingExpenses"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_SellingGeneralAndAdministrativeExpense_21adfce2-b02f-4c87-873d-565255dbeee4" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_SellingGeneralAndAdministrativeExpense"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingExpenses_19d821c8-8673-4634-847a-52f29defcd6f" xlink:to="loc_us-gaap_SellingGeneralAndAdministrativeExpense_21adfce2-b02f-4c87-873d-565255dbeee4" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_GainsLossesOnSalesOfAssets_204bfc5f-8a5c-4f05-9362-57d59622ed7f" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_GainsLossesOnSalesOfAssets"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingExpenses_19d821c8-8673-4634-847a-52f29defcd6f" xlink:to="loc_us-gaap_GainsLossesOnSalesOfAssets_204bfc5f-8a5c-4f05-9362-57d59622ed7f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest_ee74db8f-35eb-402e-a8e4-0ee2375009a6" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingIncomeLoss_40762580-7f33-412e-9525-d6fb133121a5" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OperatingIncomeLoss"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest_ee74db8f-35eb-402e-a8e4-0ee2375009a6" xlink:to="loc_us-gaap_OperatingIncomeLoss_40762580-7f33-412e-9525-d6fb133121a5" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NonoperatingIncomeExpense_42fed051-af69-4635-b66a-f17c993b0d5b" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_NonoperatingIncomeExpense"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest_ee74db8f-35eb-402e-a8e4-0ee2375009a6" xlink:to="loc_us-gaap_NonoperatingIncomeExpense_42fed051-af69-4635-b66a-f17c993b0d5b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingIncomeLoss_502d23a4-422a-4ff9-8510-bec46074e131" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OperatingIncomeLoss"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingExpenses_3172c5e3-b987-43ab-8bbd-e9b8807e35d6" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OperatingExpenses"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingIncomeLoss_502d23a4-422a-4ff9-8510-bec46074e131" xlink:to="loc_us-gaap_OperatingExpenses_3172c5e3-b987-43ab-8bbd-e9b8807e35d6" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_GrossProfit_bbdc22ff-1593-45de-ac93-408d9aa563ec" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_GrossProfit"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingIncomeLoss_502d23a4-422a-4ff9-8510-bec46074e131" xlink:to="loc_us-gaap_GrossProfit_bbdc22ff-1593-45de-ac93-408d9aa563ec" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ComprehensiveIncomeNetOfTaxIncludingPortionAttributableToNoncontrollingInterest_8e56749e-f825-41e5-9a98-486f6e909efe" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ComprehensiveIncomeNetOfTaxIncludingPortionAttributableToNoncontrollingInterest"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetIncomeLoss_7b14c81e-b26b-491f-b015-e5084dd0b9ff" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_NetIncomeLoss"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_ComprehensiveIncomeNetOfTaxIncludingPortionAttributableToNoncontrollingInterest_8e56749e-f825-41e5-9a98-486f6e909efe" xlink:to="loc_us-gaap_NetIncomeLoss_7b14c81e-b26b-491f-b015-e5084dd0b9ff" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherComprehensiveIncomeLossForeignCurrencyTransactionAndTranslationAdjustmentNetOfTax_d3252f7e-aba7-42ab-802a-bb9f6c10cd6e" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OtherComprehensiveIncomeLossForeignCurrencyTransactionAndTranslationAdjustmentNetOfTax"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_ComprehensiveIncomeNetOfTaxIncludingPortionAttributableToNoncontrollingInterest_8e56749e-f825-41e5-9a98-486f6e909efe" xlink:to="loc_us-gaap_OtherComprehensiveIncomeLossForeignCurrencyTransactionAndTranslationAdjustmentNetOfTax_d3252f7e-aba7-42ab-802a-bb9f6c10cd6e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherComprehensiveIncomeLossPensionAndOtherPostretirementBenefitPlansNetUnamortizedGainLossArisingDuringPeriodBeforeTax_23a95b61-7b29-4724-b5fe-61033faaae1a" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OtherComprehensiveIncomeLossPensionAndOtherPostretirementBenefitPlansNetUnamortizedGainLossArisingDuringPeriodBeforeTax"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_ComprehensiveIncomeNetOfTaxIncludingPortionAttributableToNoncontrollingInterest_8e56749e-f825-41e5-9a98-486f6e909efe" xlink:to="loc_us-gaap_OtherComprehensiveIncomeLossPensionAndOtherPostretirementBenefitPlansNetUnamortizedGainLossArisingDuringPeriodBeforeTax_23a95b61-7b29-4724-b5fe-61033faaae1a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetIncomeLoss_ba6cda1e-aec9-4364-8db4-4e6941a37e96" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_NetIncomeLoss"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest_6e3002df-fbed-42df-9830-24d0325138dc" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetIncomeLoss_ba6cda1e-aec9-4364-8db4-4e6941a37e96" xlink:to="loc_us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest_6e3002df-fbed-42df-9830-24d0325138dc" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncomeTaxExpenseBenefit_c4721c30-bed0-48fd-a629-d9e7a1cc5951" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncomeTaxExpenseBenefit"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetIncomeLoss_ba6cda1e-aec9-4364-8db4-4e6941a37e96" xlink:to="loc_us-gaap_IncomeTaxExpenseBenefit_c4721c30-bed0-48fd-a629-d9e7a1cc5951" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_GrossProfit_6d1470cb-7e22-4f4a-9a6d-5e296197874d" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_GrossProfit"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_RevenueFromContractWithCustomerExcludingAssessedTax_98f3797d-f152-4e84-93f8-10d084b37ddb" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_RevenueFromContractWithCustomerExcludingAssessedTax"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_GrossProfit_6d1470cb-7e22-4f4a-9a6d-5e296197874d" xlink:to="loc_us-gaap_RevenueFromContractWithCustomerExcludingAssessedTax_98f3797d-f152-4e84-93f8-10d084b37ddb" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_CostOfGoodsAndServicesSold_6ee0a062-667f-4744-bece-1aee4779ae8a" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_CostOfGoodsAndServicesSold"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_GrossProfit_6d1470cb-7e22-4f4a-9a6d-5e296197874d" xlink:to="loc_us-gaap_CostOfGoodsAndServicesSold_6ee0a062-667f-4744-bece-1aee4779ae8a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NonoperatingIncomeExpense_ea21bc7f-1530-485a-9c51-d2fb3ce91816" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_NonoperatingIncomeExpense"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ForeignCurrencyTransactionGainLossBeforeTax_23c10688-43f0-409a-ad5e-72090c248def" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ForeignCurrencyTransactionGainLossBeforeTax"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NonoperatingIncomeExpense_ea21bc7f-1530-485a-9c51-d2fb3ce91816" xlink:to="loc_us-gaap_ForeignCurrencyTransactionGainLossBeforeTax_23c10688-43f0-409a-ad5e-72090c248def" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_InterestIncomeExpenseNonoperatingNet_eb437594-6d12-46c8-8548-88e7ca1107b4" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_InterestIncomeExpenseNonoperatingNet"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NonoperatingIncomeExpense_ea21bc7f-1530-485a-9c51-d2fb3ce91816" xlink:to="loc_us-gaap_InterestIncomeExpenseNonoperatingNet_eb437594-6d12-46c8-8548-88e7ca1107b4" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_GainsLossesOnExtinguishmentOfDebt_43bfd2bc-290a-424f-a081-f481d813a789" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_GainsLossesOnExtinguishmentOfDebt"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NonoperatingIncomeExpense_ea21bc7f-1530-485a-9c51-d2fb3ce91816" xlink:to="loc_us-gaap_GainsLossesOnExtinguishmentOfDebt_43bfd2bc-290a-424f-a081-f481d813a789" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.f-e-t.com/role/CondensedConsolidatedBalanceSheetsUnaudited" xlink:type="simple" xlink:href="fet-20220630.xsd#CondensedConsolidatedBalanceSheetsUnaudited"/>
  <link:calculationLink xlink:role="http://www.f-e-t.com/role/CondensedConsolidatedBalanceSheetsUnaudited" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_Liabilities_0313abaa-864f-4e89-a9d0-4c4184de5d64" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_Liabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LongTermDebtNoncurrent_90345382-6d70-4517-a201-559dcac5e443" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_LongTermDebtNoncurrent"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Liabilities_0313abaa-864f-4e89-a9d0-4c4184de5d64" xlink:to="loc_us-gaap_LongTermDebtNoncurrent_90345382-6d70-4517-a201-559dcac5e443" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LiabilitiesCurrent_d4a7befe-76c0-446b-b3dc-3e45700a9fa4" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_LiabilitiesCurrent"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Liabilities_0313abaa-864f-4e89-a9d0-4c4184de5d64" xlink:to="loc_us-gaap_LiabilitiesCurrent_d4a7befe-76c0-446b-b3dc-3e45700a9fa4" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherLiabilitiesNoncurrent_a651dc0b-1aab-4240-b219-c287b71d1abb" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OtherLiabilitiesNoncurrent"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Liabilities_0313abaa-864f-4e89-a9d0-4c4184de5d64" xlink:to="loc_us-gaap_OtherLiabilitiesNoncurrent_a651dc0b-1aab-4240-b219-c287b71d1abb" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_DeferredIncomeTaxLiabilitiesNet_4872de4f-7b69-4dee-bc41-806cb1651fc9" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_DeferredIncomeTaxLiabilitiesNet"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Liabilities_0313abaa-864f-4e89-a9d0-4c4184de5d64" xlink:to="loc_us-gaap_DeferredIncomeTaxLiabilitiesNet_4872de4f-7b69-4dee-bc41-806cb1651fc9" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingLeaseLiabilityNoncurrent_3b45aa99-09ed-41dc-9e54-6104669306ee" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OperatingLeaseLiabilityNoncurrent"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Liabilities_0313abaa-864f-4e89-a9d0-4c4184de5d64" xlink:to="loc_us-gaap_OperatingLeaseLiabilityNoncurrent_3b45aa99-09ed-41dc-9e54-6104669306ee" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LiabilitiesCurrent_052dc8c0-5d62-421e-8286-4865a4090091" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_LiabilitiesCurrent"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LongTermDebtCurrent_69357b69-0717-4503-9339-86201bbb1af2" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_LongTermDebtCurrent"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesCurrent_052dc8c0-5d62-421e-8286-4865a4090091" xlink:to="loc_us-gaap_LongTermDebtCurrent_69357b69-0717-4503-9339-86201bbb1af2" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AccountsPayableCurrent_67839009-a8c8-44af-99a5-896d1c05596f" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AccountsPayableCurrent"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesCurrent_052dc8c0-5d62-421e-8286-4865a4090091" xlink:to="loc_us-gaap_AccountsPayableCurrent_67839009-a8c8-44af-99a5-896d1c05596f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AccruedLiabilitiesCurrent_e136882e-3fe1-4f04-bf69-082fe25fdd38" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AccruedLiabilitiesCurrent"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesCurrent_052dc8c0-5d62-421e-8286-4865a4090091" xlink:to="loc_us-gaap_AccruedLiabilitiesCurrent_e136882e-3fe1-4f04-bf69-082fe25fdd38" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_fet_ContractWithCustomerLiabilityDeferredRevenue_75049c57-fc17-43f4-9011-ffa27b8c5b5e" xlink:href="fet-20220630.xsd#fet_ContractWithCustomerLiabilityDeferredRevenue"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesCurrent_052dc8c0-5d62-421e-8286-4865a4090091" xlink:to="loc_fet_ContractWithCustomerLiabilityDeferredRevenue_75049c57-fc17-43f4-9011-ffa27b8c5b5e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_fet_ContractWithCustomerLiabilityBillingsInExcessOfCost_915ed207-cb70-414d-9412-875ff9a1d478" xlink:href="fet-20220630.xsd#fet_ContractWithCustomerLiabilityBillingsInExcessOfCost"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesCurrent_052dc8c0-5d62-421e-8286-4865a4090091" xlink:to="loc_fet_ContractWithCustomerLiabilityBillingsInExcessOfCost_915ed207-cb70-414d-9412-875ff9a1d478" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AssetsCurrent_b0b4f3f6-64ff-4e83-a563-31801aca9a39" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AssetsCurrent"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_CashAndCashEquivalentsAtCarryingValue_518f3ba5-ce45-47e4-a607-b9041b2183b0" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_CashAndCashEquivalentsAtCarryingValue"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AssetsCurrent_b0b4f3f6-64ff-4e83-a563-31801aca9a39" xlink:to="loc_us-gaap_CashAndCashEquivalentsAtCarryingValue_518f3ba5-ce45-47e4-a607-b9041b2183b0" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AccountsReceivableNetCurrent_0832b3ab-a315-4e81-8727-a05c40c2600c" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AccountsReceivableNetCurrent"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AssetsCurrent_b0b4f3f6-64ff-4e83-a563-31801aca9a39" xlink:to="loc_us-gaap_AccountsReceivableNetCurrent_0832b3ab-a315-4e81-8727-a05c40c2600c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_InventoryNet_a9aa8229-a50c-4cb8-ad97-9e9d6f526c49" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_InventoryNet"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AssetsCurrent_b0b4f3f6-64ff-4e83-a563-31801aca9a39" xlink:to="loc_us-gaap_InventoryNet_a9aa8229-a50c-4cb8-ad97-9e9d6f526c49" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PrepaidExpenseAndOtherAssetsCurrent_9aff5bb0-4906-4bf8-8cbf-90a2186a4f1b" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_PrepaidExpenseAndOtherAssetsCurrent"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AssetsCurrent_b0b4f3f6-64ff-4e83-a563-31801aca9a39" xlink:to="loc_us-gaap_PrepaidExpenseAndOtherAssetsCurrent_9aff5bb0-4906-4bf8-8cbf-90a2186a4f1b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_fet_ContractWithCustomerAssetAccruedRevenue_895faca7-fc52-411b-8093-b0ed14ff2de9" xlink:href="fet-20220630.xsd#fet_ContractWithCustomerAssetAccruedRevenue"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AssetsCurrent_b0b4f3f6-64ff-4e83-a563-31801aca9a39" xlink:to="loc_fet_ContractWithCustomerAssetAccruedRevenue_895faca7-fc52-411b-8093-b0ed14ff2de9" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_fet_ContractWithCustomerAssetCostsinExcessofBillings_5c2676f9-39be-421e-afd7-5c0e589db540" xlink:href="fet-20220630.xsd#fet_ContractWithCustomerAssetCostsinExcessofBillings"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AssetsCurrent_b0b4f3f6-64ff-4e83-a563-31801aca9a39" xlink:to="loc_fet_ContractWithCustomerAssetCostsinExcessofBillings_5c2676f9-39be-421e-afd7-5c0e589db540" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_StockholdersEquityIncludingPortionAttributableToNoncontrollingInterest_3ec07614-0c97-4200-8146-277bcbb03814" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_StockholdersEquityIncludingPortionAttributableToNoncontrollingInterest"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_CommonStockValue_39f42c4c-c414-41dd-9d17-9a7e58e970a8" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_CommonStockValue"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_StockholdersEquityIncludingPortionAttributableToNoncontrollingInterest_3ec07614-0c97-4200-8146-277bcbb03814" xlink:to="loc_us-gaap_CommonStockValue_39f42c4c-c414-41dd-9d17-9a7e58e970a8" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AdditionalPaidInCapital_d03c8e0f-6052-481c-a967-30df826168cd" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AdditionalPaidInCapital"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_StockholdersEquityIncludingPortionAttributableToNoncontrollingInterest_3ec07614-0c97-4200-8146-277bcbb03814" xlink:to="loc_us-gaap_AdditionalPaidInCapital_d03c8e0f-6052-481c-a967-30df826168cd" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_TreasuryStockValue_23ec04e1-4f3d-4946-8e20-22e92c51132f" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_TreasuryStockValue"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_StockholdersEquityIncludingPortionAttributableToNoncontrollingInterest_3ec07614-0c97-4200-8146-277bcbb03814" xlink:to="loc_us-gaap_TreasuryStockValue_23ec04e1-4f3d-4946-8e20-22e92c51132f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_RetainedEarningsAccumulatedDeficit_da794084-0eb5-42ee-a180-4a5ac6692bd2" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_RetainedEarningsAccumulatedDeficit"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_StockholdersEquityIncludingPortionAttributableToNoncontrollingInterest_3ec07614-0c97-4200-8146-277bcbb03814" xlink:to="loc_us-gaap_RetainedEarningsAccumulatedDeficit_da794084-0eb5-42ee-a180-4a5ac6692bd2" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AccumulatedOtherComprehensiveIncomeLossNetOfTax_372bb389-86c5-49c3-9ffa-a3e3bb41394d" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AccumulatedOtherComprehensiveIncomeLossNetOfTax"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_StockholdersEquityIncludingPortionAttributableToNoncontrollingInterest_3ec07614-0c97-4200-8146-277bcbb03814" xlink:to="loc_us-gaap_AccumulatedOtherComprehensiveIncomeLossNetOfTax_372bb389-86c5-49c3-9ffa-a3e3bb41394d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_Assets_a282ec95-ca03-481d-917f-1d91cdd0b344" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_Assets"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_DeferredFinanceCostsNoncurrentNet_3ddfdc0b-9af1-409d-93ac-eaed721d9779" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_DeferredFinanceCostsNoncurrentNet"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_a282ec95-ca03-481d-917f-1d91cdd0b344" xlink:to="loc_us-gaap_DeferredFinanceCostsNoncurrentNet_3ddfdc0b-9af1-409d-93ac-eaed721d9779" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PropertyPlantAndEquipmentNet_c813be6d-6f18-451c-a178-cb56153f51fc" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_PropertyPlantAndEquipmentNet"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_a282ec95-ca03-481d-917f-1d91cdd0b344" xlink:to="loc_us-gaap_PropertyPlantAndEquipmentNet_c813be6d-6f18-451c-a178-cb56153f51fc" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IntangibleAssetsNetExcludingGoodwill_cd01e7da-3a3c-471d-b090-ac499bab5e13" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IntangibleAssetsNetExcludingGoodwill"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_a282ec95-ca03-481d-917f-1d91cdd0b344" xlink:to="loc_us-gaap_IntangibleAssetsNetExcludingGoodwill_cd01e7da-3a3c-471d-b090-ac499bab5e13" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingLeaseRightOfUseAsset_8f4d97ba-5c52-4b5f-ae5f-2efdef954d5b" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OperatingLeaseRightOfUseAsset"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_a282ec95-ca03-481d-917f-1d91cdd0b344" xlink:to="loc_us-gaap_OperatingLeaseRightOfUseAsset_8f4d97ba-5c52-4b5f-ae5f-2efdef954d5b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AssetsCurrent_d6c661aa-784c-4c4a-84f1-b15fa101ba7d" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AssetsCurrent"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_a282ec95-ca03-481d-917f-1d91cdd0b344" xlink:to="loc_us-gaap_AssetsCurrent_d6c661aa-784c-4c4a-84f1-b15fa101ba7d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_DeferredIncomeTaxAssetsNet_9797bec3-b34c-48b1-93a6-50f18ab5dbd5" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_DeferredIncomeTaxAssetsNet"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_a282ec95-ca03-481d-917f-1d91cdd0b344" xlink:to="loc_us-gaap_DeferredIncomeTaxAssetsNet_9797bec3-b34c-48b1-93a6-50f18ab5dbd5" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherAssetsNoncurrent_c70afc8f-581f-4803-a85d-206aa3afdd31" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OtherAssetsNoncurrent"/>
    <link:calculationArc order="7" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_a282ec95-ca03-481d-917f-1d91cdd0b344" xlink:to="loc_us-gaap_OtherAssetsNoncurrent_c70afc8f-581f-4803-a85d-206aa3afdd31" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LiabilitiesAndStockholdersEquity_11ead90f-ec78-488d-a204-2083208063ab" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_LiabilitiesAndStockholdersEquity"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_StockholdersEquityIncludingPortionAttributableToNoncontrollingInterest_da66b575-d4d2-4a99-b0a1-c3a61389b519" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_StockholdersEquityIncludingPortionAttributableToNoncontrollingInterest"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesAndStockholdersEquity_11ead90f-ec78-488d-a204-2083208063ab" xlink:to="loc_us-gaap_StockholdersEquityIncludingPortionAttributableToNoncontrollingInterest_da66b575-d4d2-4a99-b0a1-c3a61389b519" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_Liabilities_18a6e529-2a9f-4836-8fbb-34870c00af8e" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_Liabilities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesAndStockholdersEquity_11ead90f-ec78-488d-a204-2083208063ab" xlink:to="loc_us-gaap_Liabilities_18a6e529-2a9f-4836-8fbb-34870c00af8e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_CommitmentsAndContingencies_3b6b7612-c6b7-4f72-80cf-35f6af04252d" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_CommitmentsAndContingencies"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesAndStockholdersEquity_11ead90f-ec78-488d-a204-2083208063ab" xlink:to="loc_us-gaap_CommitmentsAndContingencies_3b6b7612-c6b7-4f72-80cf-35f6af04252d" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.f-e-t.com/role/CondensedConsolidatedStatementsofCashFlowsUnaudited" xlink:type="simple" xlink:href="fet-20220630.xsd#CondensedConsolidatedStatementsofCashFlowsUnaudited"/>
  <link:calculationLink xlink:role="http://www.f-e-t.com/role/CondensedConsolidatedStatementsofCashFlowsUnaudited" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_69303c25-c58d-43ea-9afd-a61989229941" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_NetCashProvidedByUsedInInvestingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_fet_PaymentsRelatedToBusinessAcquisitionsAndDispositions_6657f02f-5ebb-4286-9e5e-038b514945b3" xlink:href="fet-20220630.xsd#fet_PaymentsRelatedToBusinessAcquisitionsAndDispositions"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_69303c25-c58d-43ea-9afd-a61989229941" xlink:to="loc_fet_PaymentsRelatedToBusinessAcquisitionsAndDispositions_6657f02f-5ebb-4286-9e5e-038b514945b3" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PaymentsToAcquirePropertyPlantAndEquipment_a6c1c114-a4ea-4dc4-8442-acfdb037fa7b" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_PaymentsToAcquirePropertyPlantAndEquipment"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_69303c25-c58d-43ea-9afd-a61989229941" xlink:to="loc_us-gaap_PaymentsToAcquirePropertyPlantAndEquipment_a6c1c114-a4ea-4dc4-8442-acfdb037fa7b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ProceedsFromSaleOfPropertyPlantAndEquipment_129bfea0-131f-4f01-8e5a-3d2f3daebb69" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ProceedsFromSaleOfPropertyPlantAndEquipment"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_69303c25-c58d-43ea-9afd-a61989229941" xlink:to="loc_us-gaap_ProceedsFromSaleOfPropertyPlantAndEquipment_129bfea0-131f-4f01-8e5a-3d2f3daebb69" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_07e622cb-f744-4433-93ad-6429511e2bed" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_NetCashProvidedByUsedInOperatingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetIncomeLoss_67b91481-f28c-4e43-b39c-e7627cba17cd" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_NetIncomeLoss"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_07e622cb-f744-4433-93ad-6429511e2bed" xlink:to="loc_us-gaap_NetIncomeLoss_67b91481-f28c-4e43-b39c-e7627cba17cd" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_Depreciation_445d8610-1f35-4567-ae44-9710ec17ef86" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_Depreciation"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_07e622cb-f744-4433-93ad-6429511e2bed" xlink:to="loc_us-gaap_Depreciation_445d8610-1f35-4567-ae44-9710ec17ef86" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AmortizationOfIntangibleAssets_e5a2088c-990a-4dd2-a6f8-c4c338459c84" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AmortizationOfIntangibleAssets"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_07e622cb-f744-4433-93ad-6429511e2bed" xlink:to="loc_us-gaap_AmortizationOfIntangibleAssets_e5a2088c-990a-4dd2-a6f8-c4c338459c84" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ShareBasedCompensation_2489f2d5-2797-4a85-91af-5da14bcaccc5" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ShareBasedCompensation"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_07e622cb-f744-4433-93ad-6429511e2bed" xlink:to="loc_us-gaap_ShareBasedCompensation_2489f2d5-2797-4a85-91af-5da14bcaccc5" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncreaseDecreaseInDeferredIncomeTaxes_f49a6067-5404-4b86-933d-bba7e783566d" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncreaseDecreaseInDeferredIncomeTaxes"/>
    <link:calculationArc order="5" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_07e622cb-f744-4433-93ad-6429511e2bed" xlink:to="loc_us-gaap_IncreaseDecreaseInDeferredIncomeTaxes_f49a6067-5404-4b86-933d-bba7e783566d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherOperatingActivitiesCashFlowStatement_9a7486a7-29e3-4e94-86ca-7d899d067d04" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OtherOperatingActivitiesCashFlowStatement"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_07e622cb-f744-4433-93ad-6429511e2bed" xlink:to="loc_us-gaap_OtherOperatingActivitiesCashFlowStatement_9a7486a7-29e3-4e94-86ca-7d899d067d04" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncreaseDecreaseInAccountsReceivable_7b1bccb8-3aa6-4211-9288-d4c44aa29724" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncreaseDecreaseInAccountsReceivable"/>
    <link:calculationArc order="7" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_07e622cb-f744-4433-93ad-6429511e2bed" xlink:to="loc_us-gaap_IncreaseDecreaseInAccountsReceivable_7b1bccb8-3aa6-4211-9288-d4c44aa29724" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncreaseDecreaseInInventories_f500d97f-d63e-4890-b89a-d4f851697d92" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncreaseDecreaseInInventories"/>
    <link:calculationArc order="8" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_07e622cb-f744-4433-93ad-6429511e2bed" xlink:to="loc_us-gaap_IncreaseDecreaseInInventories_f500d97f-d63e-4890-b89a-d4f851697d92" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncreaseDecreaseInPrepaidDeferredExpenseAndOtherAssets_8d9b51dc-20d1-4edf-8110-0765b5d87cd0" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncreaseDecreaseInPrepaidDeferredExpenseAndOtherAssets"/>
    <link:calculationArc order="9" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_07e622cb-f744-4433-93ad-6429511e2bed" xlink:to="loc_us-gaap_IncreaseDecreaseInPrepaidDeferredExpenseAndOtherAssets_8d9b51dc-20d1-4edf-8110-0765b5d87cd0" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_fet_IncreaseDecreaseInAccountsPayableDeferredRevenueAndOtherAccruedLiabilities_f3c8dd0c-cbfa-42ae-809e-7d7b5ade7098" xlink:href="fet-20220630.xsd#fet_IncreaseDecreaseInAccountsPayableDeferredRevenueAndOtherAccruedLiabilities"/>
    <link:calculationArc order="10" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_07e622cb-f744-4433-93ad-6429511e2bed" xlink:to="loc_fet_IncreaseDecreaseInAccountsPayableDeferredRevenueAndOtherAccruedLiabilities_f3c8dd0c-cbfa-42ae-809e-7d7b5ade7098" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncreaseDecreaseInContractWithCustomerLiability_f047f503-d40e-47fe-b033-546f21389496" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncreaseDecreaseInContractWithCustomerLiability"/>
    <link:calculationArc order="11" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_07e622cb-f744-4433-93ad-6429511e2bed" xlink:to="loc_us-gaap_IncreaseDecreaseInContractWithCustomerLiability_f047f503-d40e-47fe-b033-546f21389496" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_InventoryWriteDown_8a37bc8f-f646-4b29-9f87-9253beca3243" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_InventoryWriteDown"/>
    <link:calculationArc order="12" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_07e622cb-f744-4433-93ad-6429511e2bed" xlink:to="loc_us-gaap_InventoryWriteDown_8a37bc8f-f646-4b29-9f87-9253beca3243" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_fet_IncreaseDecreaseInCostAndEstimatedProfitInExcessOfBillings_b319b7cc-1144-4442-95c8-f35407e60b34" xlink:href="fet-20220630.xsd#fet_IncreaseDecreaseInCostAndEstimatedProfitInExcessOfBillings"/>
    <link:calculationArc order="13" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_07e622cb-f744-4433-93ad-6429511e2bed" xlink:to="loc_fet_IncreaseDecreaseInCostAndEstimatedProfitInExcessOfBillings_b319b7cc-1144-4442-95c8-f35407e60b34" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_GainsLossesOnExtinguishmentOfDebt_cb345497-dcf5-468a-9860-77a87b2cda6c" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_GainsLossesOnExtinguishmentOfDebt"/>
    <link:calculationArc order="14" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_07e622cb-f744-4433-93ad-6429511e2bed" xlink:to="loc_us-gaap_GainsLossesOnExtinguishmentOfDebt_cb345497-dcf5-468a-9860-77a87b2cda6c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_87da54c6-dfed-4589-a59b-1046beaa4914" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_NetCashProvidedByUsedInFinancingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_RepaymentsOfDebt_c310bc7f-2341-46b1-93c3-57ee1b06f12c" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_RepaymentsOfDebt"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_87da54c6-dfed-4589-a59b-1046beaa4914" xlink:to="loc_us-gaap_RepaymentsOfDebt_c310bc7f-2341-46b1-93c3-57ee1b06f12c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ProceedsFromIssuanceOfDebt_0ec057f4-64f6-4c19-b290-416a412467ca" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ProceedsFromIssuanceOfDebt"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_87da54c6-dfed-4589-a59b-1046beaa4914" xlink:to="loc_us-gaap_ProceedsFromIssuanceOfDebt_0ec057f4-64f6-4c19-b290-416a412467ca" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PaymentsForRepurchaseOfCommonStock_81753310-63de-4086-98d1-5bab44d8bb1d" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_PaymentsForRepurchaseOfCommonStock"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_87da54c6-dfed-4589-a59b-1046beaa4914" xlink:to="loc_us-gaap_PaymentsForRepurchaseOfCommonStock_81753310-63de-4086-98d1-5bab44d8bb1d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_fet_PaymentsForRepurchaseOfSeniorNotes_4b8aa8c0-d5a6-45ce-af33-13849534bee9" xlink:href="fet-20220630.xsd#fet_PaymentsForRepurchaseOfSeniorNotes"/>
    <link:calculationArc order="4" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_87da54c6-dfed-4589-a59b-1046beaa4914" xlink:to="loc_fet_PaymentsForRepurchaseOfSeniorNotes_4b8aa8c0-d5a6-45ce-af33-13849534bee9" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_fet_PaymentsForCapitalLeaseObligations_921ba50e-9cdc-4382-a747-71cc6ece0e66" xlink:href="fet-20220630.xsd#fet_PaymentsForCapitalLeaseObligations"/>
    <link:calculationArc order="5" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_87da54c6-dfed-4589-a59b-1046beaa4914" xlink:to="loc_fet_PaymentsForCapitalLeaseObligations_921ba50e-9cdc-4382-a747-71cc6ece0e66" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect_ffc02df1-13be-4331-921a-2f95143cb084" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_9902eaa5-0ef4-425d-9b77-a16a061befb5" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_NetCashProvidedByUsedInOperatingActivities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect_ffc02df1-13be-4331-921a-2f95143cb084" xlink:to="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_9902eaa5-0ef4-425d-9b77-a16a061befb5" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_2f9591b8-930f-48a0-a142-0ded870a6b08" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_NetCashProvidedByUsedInInvestingActivities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect_ffc02df1-13be-4331-921a-2f95143cb084" xlink:to="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_2f9591b8-930f-48a0-a142-0ded870a6b08" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_78107daf-1de9-4f5c-a0bf-b0fc27b1b2c0" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_NetCashProvidedByUsedInFinancingActivities"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect_ffc02df1-13be-4331-921a-2f95143cb084" xlink:to="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_78107daf-1de9-4f5c-a0bf-b0fc27b1b2c0" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_EffectOfExchangeRateOnCashCashEquivalentsRestrictedCashAndRestrictedCashEquivalents_09f00570-de10-495e-aec2-488fbbb32241" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_EffectOfExchangeRateOnCashCashEquivalentsRestrictedCashAndRestrictedCashEquivalents"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect_ffc02df1-13be-4331-921a-2f95143cb084" xlink:to="loc_us-gaap_EffectOfExchangeRateOnCashCashEquivalentsRestrictedCashAndRestrictedCashEquivalents_09f00570-de10-495e-aec2-488fbbb32241" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.f-e-t.com/role/RevenueScheduleofChangesinContractAssetsandContractLiabilitiesDetails" xlink:type="simple" xlink:href="fet-20220630.xsd#RevenueScheduleofChangesinContractAssetsandContractLiabilitiesDetails"/>
  <link:calculationLink xlink:role="http://www.f-e-t.com/role/RevenueScheduleofChangesinContractAssetsandContractLiabilitiesDetails" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ContractWithCustomerLiability_3187ae99-101b-40de-a85c-77e3a2bf0812" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ContractWithCustomerLiability"/>
    <link:loc xlink:type="locator" xlink:label="loc_fet_ContractWithCustomerLiabilityDeferredRevenue_ec0b2221-1e00-482c-9693-5237a47cf198" xlink:href="fet-20220630.xsd#fet_ContractWithCustomerLiabilityDeferredRevenue"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_ContractWithCustomerLiability_3187ae99-101b-40de-a85c-77e3a2bf0812" xlink:to="loc_fet_ContractWithCustomerLiabilityDeferredRevenue_ec0b2221-1e00-482c-9693-5237a47cf198" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_fet_ContractWithCustomerLiabilityBillingsInExcessOfCost_2d5a685c-68d6-4afe-b992-f455c3ba3963" xlink:href="fet-20220630.xsd#fet_ContractWithCustomerLiabilityBillingsInExcessOfCost"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_ContractWithCustomerLiability_3187ae99-101b-40de-a85c-77e3a2bf0812" xlink:to="loc_fet_ContractWithCustomerLiabilityBillingsInExcessOfCost_2d5a685c-68d6-4afe-b992-f455c3ba3963" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ContractWithCustomerAssetNetCurrent_e2326ec8-019e-426a-b095-3a2d03a3d6b7" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ContractWithCustomerAssetNetCurrent"/>
    <link:loc xlink:type="locator" xlink:label="loc_fet_ContractWithCustomerAssetAccruedRevenue_44c1539c-1f97-438e-ac7c-74523cbece57" xlink:href="fet-20220630.xsd#fet_ContractWithCustomerAssetAccruedRevenue"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_ContractWithCustomerAssetNetCurrent_e2326ec8-019e-426a-b095-3a2d03a3d6b7" xlink:to="loc_fet_ContractWithCustomerAssetAccruedRevenue_44c1539c-1f97-438e-ac7c-74523cbece57" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_fet_ContractWithCustomerAssetCostsinExcessofBillings_597271b3-abf8-4273-9d77-a867abaca8ef" xlink:href="fet-20220630.xsd#fet_ContractWithCustomerAssetCostsinExcessofBillings"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_ContractWithCustomerAssetNetCurrent_e2326ec8-019e-426a-b095-3a2d03a3d6b7" xlink:to="loc_fet_ContractWithCustomerAssetCostsinExcessofBillings_597271b3-abf8-4273-9d77-a867abaca8ef" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.f-e-t.com/role/InventoriesDetails" xlink:type="simple" xlink:href="fet-20220630.xsd#InventoriesDetails"/>
  <link:calculationLink xlink:role="http://www.f-e-t.com/role/InventoriesDetails" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_InventoryGross_dd9b7053-a149-4fe0-9678-2335c53a255b" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_InventoryGross"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_InventoryRawMaterialsAndSupplies_3b44dc9f-fda4-40d6-bee0-3006c29d6488" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_InventoryRawMaterialsAndSupplies"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_InventoryGross_dd9b7053-a149-4fe0-9678-2335c53a255b" xlink:to="loc_us-gaap_InventoryRawMaterialsAndSupplies_3b44dc9f-fda4-40d6-bee0-3006c29d6488" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_InventoryWorkInProcess_04182a6e-3121-4dd1-9c76-9a1c88a580e3" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_InventoryWorkInProcess"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_InventoryGross_dd9b7053-a149-4fe0-9678-2335c53a255b" xlink:to="loc_us-gaap_InventoryWorkInProcess_04182a6e-3121-4dd1-9c76-9a1c88a580e3" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_InventoryFinishedGoods_02199516-198f-49b2-abc3-5ead940ee30c" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_InventoryFinishedGoods"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_InventoryGross_dd9b7053-a149-4fe0-9678-2335c53a255b" xlink:to="loc_us-gaap_InventoryFinishedGoods_02199516-198f-49b2-abc3-5ead940ee30c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_InventoryNet_de6f4501-f5e8-4984-8c49-40b9d2aec267" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_InventoryNet"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_InventoryGross_0b26994a-0d28-474e-8eca-449a1df972a6" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_InventoryGross"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_InventoryNet_de6f4501-f5e8-4984-8c49-40b9d2aec267" xlink:to="loc_us-gaap_InventoryGross_0b26994a-0d28-474e-8eca-449a1df972a6" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_InventoryValuationReserves_45f96b16-5d17-44f5-86df-a6680c8100f7" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_InventoryValuationReserves"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_InventoryNet_de6f4501-f5e8-4984-8c49-40b9d2aec267" xlink:to="loc_us-gaap_InventoryValuationReserves_45f96b16-5d17-44f5-86df-a6680c8100f7" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.f-e-t.com/role/IntangibleAssetsFiniteLivedandIndefiniteLivedIntangibleAssetsDetails" xlink:type="simple" xlink:href="fet-20220630.xsd#IntangibleAssetsFiniteLivedandIndefiniteLivedIntangibleAssetsDetails"/>
  <link:calculationLink xlink:role="http://www.f-e-t.com/role/IntangibleAssetsFiniteLivedandIndefiniteLivedIntangibleAssetsDetails" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IntangibleAssetsNetExcludingGoodwill_eabfc17b-b117-47cb-8cd7-a7fe94574c98" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IntangibleAssetsNetExcludingGoodwill"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IntangibleAssetsGrossExcludingGoodwill_41dae78f-6616-4d5f-8c1f-3018f300ecf5" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IntangibleAssetsGrossExcludingGoodwill"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_IntangibleAssetsNetExcludingGoodwill_eabfc17b-b117-47cb-8cd7-a7fe94574c98" xlink:to="loc_us-gaap_IntangibleAssetsGrossExcludingGoodwill_41dae78f-6616-4d5f-8c1f-3018f300ecf5" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_FiniteLivedIntangibleAssetsAccumulatedAmortization_15afbb93-26ef-48e1-9c76-be2595674a44" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_FiniteLivedIntangibleAssetsAccumulatedAmortization"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_IntangibleAssetsNetExcludingGoodwill_eabfc17b-b117-47cb-8cd7-a7fe94574c98" xlink:to="loc_us-gaap_FiniteLivedIntangibleAssetsAccumulatedAmortization_15afbb93-26ef-48e1-9c76-be2595674a44" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_FiniteLivedIntangibleAssetsNet_17858f66-880d-483c-a2a4-776c8cba0cf8" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_FiniteLivedIntangibleAssetsNet"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_FiniteLivedIntangibleAssetsGross_ac70c3ad-bb35-4e9c-83d0-46deacad9abd" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_FiniteLivedIntangibleAssetsGross"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_FiniteLivedIntangibleAssetsNet_17858f66-880d-483c-a2a4-776c8cba0cf8" xlink:to="loc_us-gaap_FiniteLivedIntangibleAssetsGross_ac70c3ad-bb35-4e9c-83d0-46deacad9abd" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_FiniteLivedIntangibleAssetsAccumulatedAmortization_398391a8-fb84-49af-8a31-230fe9c98a9e" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_FiniteLivedIntangibleAssetsAccumulatedAmortization"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_FiniteLivedIntangibleAssetsNet_17858f66-880d-483c-a2a4-776c8cba0cf8" xlink:to="loc_us-gaap_FiniteLivedIntangibleAssetsAccumulatedAmortization_398391a8-fb84-49af-8a31-230fe9c98a9e" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.f-e-t.com/role/DebtScheduleofLongTermDebtDetails" xlink:type="simple" xlink:href="fet-20220630.xsd#DebtScheduleofLongTermDebtDetails"/>
  <link:calculationLink xlink:role="http://www.f-e-t.com/role/DebtScheduleofLongTermDebtDetails" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LongTermDebt_b5106b4a-d474-4dd5-a60b-caf2dc54cf98" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_LongTermDebt"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_DebtInstrumentCarryingAmount_415853b4-2dd4-4b30-9278-2756d235711a" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_DebtInstrumentCarryingAmount"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LongTermDebt_b5106b4a-d474-4dd5-a60b-caf2dc54cf98" xlink:to="loc_us-gaap_DebtInstrumentCarryingAmount_415853b4-2dd4-4b30-9278-2756d235711a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_DebtInstrumentUnamortizedDiscountPremiumAndDebtIssuanceCostsNet_9f6aa5a2-9d41-48e4-ae1e-a27bda68d3d7" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_DebtInstrumentUnamortizedDiscountPremiumAndDebtIssuanceCostsNet"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LongTermDebt_b5106b4a-d474-4dd5-a60b-caf2dc54cf98" xlink:to="loc_us-gaap_DebtInstrumentUnamortizedDiscountPremiumAndDebtIssuanceCostsNet_9f6aa5a2-9d41-48e4-ae1e-a27bda68d3d7" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_UnamortizedDebtIssuanceExpense_502f4e1b-7316-435c-a5ad-ad862ad83ad5" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_UnamortizedDebtIssuanceExpense"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LongTermDebt_b5106b4a-d474-4dd5-a60b-caf2dc54cf98" xlink:to="loc_us-gaap_UnamortizedDebtIssuanceExpense_502f4e1b-7316-435c-a5ad-ad862ad83ad5" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.f-e-t.com/role/EarningsLossPerShareDetails" xlink:type="simple" xlink:href="fet-20220630.xsd#EarningsLossPerShareDetails"/>
  <link:calculationLink xlink:role="http://www.f-e-t.com/role/EarningsLossPerShareDetails" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetIncomeLossAvailableToCommonStockholdersDiluted_744e77ff-16a8-4a91-8381-c0b2a0e465c2" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_NetIncomeLossAvailableToCommonStockholdersDiluted"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_InterestOnConvertibleDebtNetOfTax_9cde7b2f-bbc0-4202-9411-ba331450f91b" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_InterestOnConvertibleDebtNetOfTax"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetIncomeLossAvailableToCommonStockholdersDiluted_744e77ff-16a8-4a91-8381-c0b2a0e465c2" xlink:to="loc_us-gaap_InterestOnConvertibleDebtNetOfTax_9cde7b2f-bbc0-4202-9411-ba331450f91b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetIncomeLossAvailableToCommonStockholdersBasic_81db612f-6d68-48c4-9d8b-845b6aded8c6" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_NetIncomeLossAvailableToCommonStockholdersBasic"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetIncomeLossAvailableToCommonStockholdersDiluted_744e77ff-16a8-4a91-8381-c0b2a0e465c2" xlink:to="loc_us-gaap_NetIncomeLossAvailableToCommonStockholdersBasic_81db612f-6d68-48c4-9d8b-845b6aded8c6" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_WeightedAverageNumberOfDilutedSharesOutstanding_342985bc-087b-4946-95dc-1a78ae16f9e7" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_WeightedAverageNumberOfDilutedSharesOutstanding"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_WeightedAverageNumberOfSharesOutstandingBasic_9c098337-f5bc-4c40-bbb2-fbbffc2db0c6" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_WeightedAverageNumberOfSharesOutstandingBasic"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_WeightedAverageNumberOfDilutedSharesOutstanding_342985bc-087b-4946-95dc-1a78ae16f9e7" xlink:to="loc_us-gaap_WeightedAverageNumberOfSharesOutstandingBasic_9c098337-f5bc-4c40-bbb2-fbbffc2db0c6" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncrementalCommonSharesAttributableToShareBasedPaymentArrangements_f1107c72-0fa9-4f6d-8b18-4b1eda6f8a7d" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncrementalCommonSharesAttributableToShareBasedPaymentArrangements"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_WeightedAverageNumberOfDilutedSharesOutstanding_342985bc-087b-4946-95dc-1a78ae16f9e7" xlink:to="loc_us-gaap_IncrementalCommonSharesAttributableToShareBasedPaymentArrangements_f1107c72-0fa9-4f6d-8b18-4b1eda6f8a7d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncrementalCommonSharesAttributableToConversionOfDebtSecurities_264d9fff-af3e-48de-8d49-e52b184aa130" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncrementalCommonSharesAttributableToConversionOfDebtSecurities"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_WeightedAverageNumberOfDilutedSharesOutstanding_342985bc-087b-4946-95dc-1a78ae16f9e7" xlink:to="loc_us-gaap_IncrementalCommonSharesAttributableToConversionOfDebtSecurities_264d9fff-af3e-48de-8d49-e52b184aa130" xlink:type="arc"/>
  </link:calculationLink>
</link:linkbase>
